For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload

Uploads the digital report to chat with.

post

Uploads the digital report to chat with.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
documentContentstring · byte · nullableOptional

The PDF or XBRL file represented as Base64

Example: PD94bWwgdmVyc...
documentNamestring · nullableOptional

The name of your PDF document

Example: Annual report.pdf
Responses
200

OK

application/json
docIdstring · nullableOptional

The ID of the document, uploaded in our system.

Example: 155c0585-8309-40b4-8de3-fd0951021d80
post/reportchat/upload
POST /reportchat/upload HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "documentContent": "PD94bWwgdmVyc...",
  "documentName": "Annual report.pdf"
}
{
  "docId": "155c0585-8309-40b4-8de3-fd0951021d80"
}

Was this helpful?